/*
Cdric Taschereau 05 658 674
Francis Corriveau 06 800 198

IFT 630 Projet
*/

class SorterThread extends Thread {
	
	private GenericSorter mySorter;
	private RidiculouslyComplexObject[] data;
	private int nbThreads;
    
	SorterThread(RidiculouslyComplexObject[] data, String sortType, int nbThreads)
    {
		mySorter = GenericSorter.getSorter(sortType);
        this.data = data;
		this.nbThreads = nbThreads;
	}

    public void run()
    {
		data = mySorter.doSort(data, nbThreads);
    }
	
	public RidiculouslyComplexObject[] getReturnValue()
	{
		return data;
	}
    
}
